# disko.nix  – Root-on-ZFS (rpool) + Datenpool (tank)
{ disks ? [ "/dev/nvme0n1" ], lib, ... }:

{
  disko.devices = {
    disk.main = {
      device = builtins.elemAt disks 0;
      type   = "disk";
      content = {
        type = "gpt";
        partitions = {
          ESP = {
            size = "512M";
            type = "EF00";
            content = {
              type       = "filesystem";
              format     = "fat32";
              mountpoint = "/boot";
            };
          };
          rpool = {
            size = "60G";
            type = "BE00";
            content = {
              type = "zfs";
              pool = "rpool";
            };
          };
          tank = {
            type = "BE00";
            content = {
              type = "zfs";
              pool = "tank";
            };
          };
        };
      };
    };

    zpool.rpool = {
      datasets = {
        root = { mountpoint = "/"; };
        nix  = { mountpoint = "/nix"; };
        home = { mountpoint = "/home"; };
      };
      rootFs = "root";
    };

    zpool.tank = {
      datasets = {
        media = { mountpoint = "/tank"; };
      };
    };
  };
}

